<template>
  <div>
    <div class="form">
      <div class="form-group">
        <label for="name">Imię pracownika</label>
        <input v-model="employee.name" type="text" class="form-control" id="name">
      </div>
      <div class="form-group">
        <label for="name">Napój</label>
        <select v-model="employee.drink" class="form-control" id="drink">
          <option v-for="(value,key) in drink" v-bind:value="key">{{value}}</option>
        </select>
      </div>
      <div class="form-group">
        <label for="name">Cukier</label>
        <select v-model="employee.sugar" class="form-control" id="sugar">
          <option value="0">Bez</option>
          <option value="1">1</option>
          <option value="2">2</option>
          <option value="3">3</option>
          <option value="4">4</option>
          <option value="5">5</option>
        </select>
      </div>
      <div class="form-group">
        <label for="name">Mleko</label>
        <select v-model="employee.milk" class="form-control" id="milk">
          <option value="1">Tak</option>
          <option value="0">Nie</option>
        </select>
      </div>
      <div class="form-group">
        <button v-on:click="saveEmployee" class="btn btn-success">Dodaj</button>
      </div>

    </div>


  </div>
</template>

<script>
export default {
  data () {
    return {
      employee: {
        name:'',
        drink:'',
        sugar:'',
        milk:'',
      },
      drink: {
        1: 'Kawa',
        2: 'Herbata',
        3: 'Woda'
      },
      milk: {
        0: 'Nie',
        1: 'Tak'
      }
    }
  },
  methods: {
    saveEmployee(){
      this.$http.put(this.$root.api + 'employee/'+this.employee.id, this.employee)
        .then(response => {
          if(response.body.status == 1){
            this.$router.push({path: '/'});
          }else{
            alert(JSON.stringify(response.body.error));
          }
        }, response => {
          console.log(response.statusText);
        })

    },
    getEmployee(id){
      this.$http.get(this.$root.api + 'employee/'+id)
        .then(response => response.json())
        .then(result => this.employee = result);
    }

  },
  created: function(){
    this.getEmployee(this.$route.params.id);
  }
}
</script>

<style scoped>
</style>
